Summary:       A complete ODBC driver manager for Linux
Name:          unixODBC
Version:       2.3.11
Release:       5%{?dist}
License:       GPLv2+ and LGPLv2+
URL:           http://www.unixODBC.org/
Source0:       http://www.unixODBC.org/%{name}-%{version}.tar.gz
Source1:       odbcinst.ini

Patch3000:     so-version-bump.patch
Patch3001:     keep-typedefs.patch

BuildRequires: make automake autoconf libtool
BuildRequires: libtool-ltdl-devel

Conflicts:     iodbc

%description
The unixODBC Project goals are to develop and promote unixODBC to be the
definitive standard for ODBC on non MS Windows platforms.
This is to include GUI support for both KDE and GNOME.

%package       devel
Summary:       This package provides development files for unixODBC
Requires:      %{name} = %{version}-%{release}

%description devel
This package provides development files for unixODBC

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vfi

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="$CFLAGS"
export CFLAGS CXXFLAGS

%configure --with-gnu-ld=yes    \
           --enable-threads=yes \
           --enable-drivers=yes \
           --enable-driverc=yes

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make all

%install
%make_install
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}

rm -f %{buildroot}%{_libdir}/libodbcpsql.so*

find doc -name 'Makefile*' | xargs rm

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/libltdl.*
rm -rf %{buildroot}%{_datadir}/libtool

%files
%license COPYING
%doc README AUTHORS ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/odbc*
%{_libdir}/*.so.*
%{_bindir}/odbcinst
%{_bindir}/isql
%{_bindir}/dltest
%{_bindir}/iusql
%{_bindir}/odbc_config
%{_bindir}/slencheck
%{_mandir}/man*/*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%_libdir/pkgconfig/*.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.11-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.11-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.11-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 14 2022 Shuo Wang <abushwang@tencent.com> - 2.3.11-1
- initial build
